List links
KuikLinks in the workspace, newest change first unless sort says otherwise.
Authorization
apiKey AuthorizationBearer <token>
An API key from Settings, Developers: Authorization: Bearer kc_live_...
In: header
Query Parameters
limit?integer
Items per page, 1 to 100.
Range
1 <= value <= 100Default
50cursor?string
The next_cursor from the previous page. Omit for the first page.
q?string
Matches the name, the readable ending or the destination.
folderId?string
tag?string
tenantId?string
externalId?string
archived?string
Default
"false"Value in
- "true"
- "false"
sort?string
Default
"updated"Value in
- "updated"
- "created_desc"
- "created_asc"
- "name"
- "clicks"
Response Body
application/json
application/json
curl -X GET "https://example.com/links"{ "data": [ { "id": "string", "shortId": "string", "name": "string", "url": "string", "shortUrl": "string", "host": "string", "slug": "string", "folderId": "string", "tags": [ "string" ], "note": "string", "utm": { "source": "string", "medium": "string", "campaign": "string", "term": "string", "content": "string", "ref": "string" }, "expiresAt": "2019-08-24T14:15:22Z", "expiredUrl": "string", "externalId": "string", "tenantId": "string", "hasPassword": true, "state": "ok", "archived": true, "clicks": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "next_cursor": "string"}